## org.apache.fop.viewer
Class MessageException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.fop.viewer.MessageException

public class MessageException
extends java.lang.Exception

Die Klasse `MessageException` ist eine Exception, die mit einer Meldung und deren Parametern versehen werden kann. Dadurch kann die Meldung über den Exception-Mechanismus an die Aufrufer hochgereicht werden, bis schliesslich ein Aufrufer die Meldung zur Anzeige bringt.

Version:
  1.0 28.05.99
Author:
  Juergen.Verwohlt@jCatalog.com
See Also:
  Serialized Form

Field Summary
`protected java.lang.Exception` `exception` Angabe der auslösenden Exception, wie z.B.
`protected java.lang.String` `messageId` ID der Meldung, die für diese Exception ausgegeben werden soll
`protected java.lang.String[]` `parameterList` Parameterliste zur Meldung

Constructor Summary
`MessageException()`
`MessageException(java.lang.String aMessageId)`
`MessageException(java.lang.String aMessageId, java.lang.String[] aParameterList)`
`MessageException(java.lang.String aMessageId, java.lang.String[] aParameterList, java.lang.Exception anException)`

Method Summary
`java.lang.Exception` `getException()`
`java.lang.String` `getMessageId()`
`java.lang.String[]` `getParameterList()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exception

    protected java.lang.Exception exception

  Angabe der auslösenden Exception, wie z.B. NullPointerException. Dieses Feld ist optional.

### messageId

    protected java.lang.String messageId

  ID der Meldung, die für diese Exception ausgegeben werden soll

### parameterList

    protected java.lang.String[] parameterList

  Parameterliste zur Meldung

Constructor Detail

### MessageException

    public MessageException()

### MessageException

    public MessageException(java.lang.String aMessageId)

### MessageException

    public MessageException(java.lang.String aMessageId,
                            java.lang.String[] aParameterList)

### MessageException

    public MessageException(java.lang.String aMessageId,
                            java.lang.String[] aParameterList,
                            java.lang.Exception anException)

Method Detail

### getMessageId

    public java.lang.String getMessageId()

### getParameterList

    public java.lang.String[] getParameterList()

### getException

    public java.lang.Exception getException()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.